Boinc installer - Linux & 64bit !?!?

Questions and Answers : Unix/Linux : Boinc installer - Linux & 64bit !?!?

To post messages, you must log in.

AuthorMessage
DanHansen@Denmark
Volunteer tester
Avatar

Send message
Joined: 14 Nov 12
Posts: 188
Credit: 5,551,845
RAC: 37
Denmark
Message 1490356 - Posted: 17 Mar 2014, 22:56:52 UTC

Hi,

Ubuntu Server 12.04.4/12.10 64bit

Usually when installing Boinc on my Linux CLI system I do it from PPA/repository (CostaMagnaGianfranco) and apt-get install boinc-client.
But, I just read this. can it be true? Do I need to do this to get 64bit compatibility?!?

    Ubuntu

    Four packages are required for 64 bit compatability.
    Name Description
    ia32-libs description is unavailable
    libstdc++6 description is unavailable
    libstdc++5 description is unavailable
    freeglut3 description is unavailable

    Install all 4 packages at once with the following steps:

    Open a terminal.
    Enter

    sudo apt-get install ia32-libs libstdc++6 libstdc++5 freeglut3



.


Project Headless CLI Linux Multiple GPU Boinc Servers
Ubuntu Server 14.04.1 64bit
Kernel 3.13.0-32-generic
CPU's i5-4690K
GPU's GT640/GTX750TI
Nvidia v.340.29
BOINC v.7.2.42

ID: 1490356 · Report as offensive
Profile Ageless
Avatar

Send message
Joined: 9 Jun 99
Posts: 13819
Credit: 3,269,733
RAC: 0
Netherlands
Message 1490369 - Posted: 17 Mar 2014, 23:16:47 UTC - in response to Message 1490356.  
Last modified: 17 Mar 2014, 23:17:17 UTC

Do I need to do this to get 64bit compatibility?!?

The libraries aren't for 64bit compatibility, they're to allow 32bit applications to run on your 64bit Linux. You only need them if you have only errors when running 32bit applications on your 64bit Linux distro. It also says that on
64 Bit Condsiderations:

If you are running 64 bit Linux, you might have a problem with projects that issue 32 bit applications rather than 64 bit applications. To allow 32 bit applications to run on 64 bit Linux you must install 32 bit versions of certain shared libraries. The names of the packages containing the 32 bit libraries is different for each distro.

Do you need them for running Seti? No.
Seti sends 64bit applications to 64bit Linux hosts: http://setiathome.berkeley.edu/apps.php
Jord

Ancient Astronaut Theorists suggest that in many ways, you can be considered an alien conspiracy!
ID: 1490369 · Report as offensive
DanHansen@Denmark
Volunteer tester
Avatar

Send message
Joined: 14 Nov 12
Posts: 188
Credit: 5,551,845
RAC: 37
Denmark
Message 1494166 - Posted: 23 Mar 2014, 21:19:26 UTC - in response to Message 1490369.  

Hi,


Thank you for helping me ;)

.
Project Headless CLI Linux Multiple GPU Boinc Servers
Ubuntu Server 14.04.1 64bit
Kernel 3.13.0-32-generic
CPU's i5-4690K
GPU's GT640/GTX750TI
Nvidia v.340.29
BOINC v.7.2.42

ID: 1494166 · Report as offensive

Questions and Answers : Unix/Linux : Boinc installer - Linux & 64bit !?!?


 
©2016 University of California
 
SETI@home and Astropulse are funded by grants from the National Science Foundation, NASA, and donations from SETI@home volunteers. AstroPulse is funded in part by the NSF through grant AST-0307956.